import React from "react";
import { ChevronRightMedium, CloseMedium } from "@ledgerhq/icons-ui/nativeLegacy";
import { TouchableOpacity } from "react-native";
import styled, { useTheme } from "styled-components/native";
import Text from "../../Text";
import Flex from "../../Layout/Flex";
export const Container = styled(TouchableOpacity) `
  background: ${(p) => p.theme.colors.opacityDefault.c05};
  flex-direction: row;
  backdrop-filter: blur(62px);
  border-radius: 12px;
  height: 72px;
  padding: ${(p) => p.theme.space[6]}px;
  align-items: center;
  justify-content: space-between;
  z-index: 5;
`;
export const CloseContainer = styled(TouchableOpacity) `
  background-color: ${(p) => p.theme.colors.opacityDefault.c05};
  border-radius: 50;
  height: 24px;
  width: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
`;
export const ChevronContainer = styled(Flex) `
  height: 24px;
  width: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
`;
export const CloseButton = ({ onPressDismiss }) => {
    const { colors } = useTheme();
    return (React.createElement(CloseContainer, { onPress: onPressDismiss },
        React.createElement(CloseMedium, { size: 14, color: colors.neutral.c100 })));
};
const CardContainer = (props) => {
    const { onPressDismiss, LeftElement, LeftElementNotCirlcled, title, typeOfRightIcon } = props;
    return (React.createElement(Container, { ...props },
        LeftElementNotCirlcled ? (LeftElement) : (React.createElement(Flex, { borderRadius: 50, height: 40, width: 40, alignItems: "center", justifyContent: "center", bg: "opacityDefault.c05" }, LeftElement)),
        React.createElement(Flex, { flexShrink: 1 },
            React.createElement(Text, { mx: 4, variant: "large", fontWeight: "medium", numberOfLines: 2, color: "neutral.c100" }, title)),
        typeOfRightIcon === "close" ? (React.createElement(CloseButton, { onPressDismiss: onPressDismiss })) : (React.createElement(ChevronContainer, null,
            React.createElement(ChevronRightMedium, { size: 24 })))));
};
const BannerCard = (props) => {
    return React.createElement(CardContainer, { ...props, activeOpacity: 0.5 });
};
export default BannerCard;
