import React, { memo } from "react";
import { TouchableOpacity, Image, StyleSheet, } from "react-native";
import styled from "styled-components/native";
import Text from "../../Text";
import Flex from "../../Layout/Flex";
const Base = styled(TouchableOpacity) ``;
const ImageContent = styled(Image) `
  border-radius: 8px;
`;
const styles = StyleSheet.create({
    image: {
        flex: 1,
        backgroundColor: "#fff",
        width: "100%",
    },
});
const CardContainer = (props) => {
    const { imageUrl, title, tag, imageProps } = props;
    return (React.createElement(Flex, { flexDirection: "row" },
        React.createElement(Flex, { justifyContent: "space-between", alignItems: "flex-start", py: 2, pr: imageUrl ? 4 : 2, flex: 1 },
            React.createElement(Text, { variant: "body", fontWeight: "medium", color: "neutral.c100", numberOfLines: 2 }, title),
            React.createElement(Text, { variant: "paragraph", fontWeight: "medium", color: "neutral.c70", numberOfLines: 1, mt: 4 }, tag)),
        imageUrl && (React.createElement(ImageContent, { source: {
                uri: imageUrl,
            }, style: styles.image, ...imageProps }))));
};
const InformativeCard = (props) => {
    return (React.createElement(Base, { ...props, activeOpacity: 0.5, onPress: props.onClickCard },
        React.createElement(CardContainer, { ...props })));
};
export default memo(InformativeCard);
