import React, { useMemo } from "react";
import { ExternalLinkMedium } from "@ledgerhq/icons-ui/nativeLegacy";
import Text from "../../Text";
import Flex from "../../Layout/Flex";
import Box from "../../Layout/Box";
import Link from "../../cta/Link";
import styled from "styled-components/native";
import { TouchableOpacity } from "react-native";
const Tag = ({ tag }) => (React.createElement(Flex, { bg: "opacityDefault.c10", borderRadius: 6, px: 3, py: "3px", maxWidth: "75%" },
    React.createElement(Text, { variant: "small", fontWeight: "semiBold", color: "neutral.c90", numberOfLines: 1 }, tag)));
const Timer = ({ time, viewed }) => (React.createElement(Flex, { flexDirection: "row", justifyContent: "space-between", alignItems: "center", ml: 2 },
    React.createElement(Text, { variant: "small", fontWeight: "semiBold", color: "neutral.c90", numberOfLines: 1 }, time),
    React.createElement(Box, { ml: 3, backgroundColor: viewed ? "transparent" : "error.c40", height: "8px", width: "8px", borderRadius: 24 })));
const NotificationCard = (props) => {
    const { tag = "", time = "", title, description, cta, viewed, onClickCard, showLinkCta, link = "", } = props;
    const ctaIcon = useMemo(() => {
        const isDeepLink = link?.startsWith("ledgerlive:");
        return link && isDeepLink ? undefined : () => React.createElement(ExternalLinkMedium, { color: "neutral.c100" });
    }, [link]);
    return (React.createElement(Base, { onPress: onClickCard, activeOpacity: link ? 0.5 : 1 },
        React.createElement(Flex, { width: "100%", flexDirection: "column" },
            React.createElement(Flex, { flexDirection: "row", justifyContent: "space-between" },
                React.createElement(Tag, { tag: tag }),
                React.createElement(Timer, { time: time, viewed: viewed })),
            React.createElement(Text, { variant: "large", fontWeight: "semiBold", color: "neutral.c100", numberOfLines: 1, mt: 4 }, title),
            React.createElement(Text, { variant: "bodyLineHeight", fontWeight: "medium", color: "neutral.c70", numberOfLines: 3, mt: 2, mb: showLinkCta ? 4 : 0 }, description),
            !!showLinkCta && (React.createElement(Flex, { alignItems: "flex-start" },
                React.createElement(Link, { type: "main", size: "medium", iconPosition: "right", Icon: ctaIcon, onPress: onClickCard, numberOfLines: 1 },
                    React.createElement(StyledText, { variant: "bodyLineHeight", fontWeight: "semiBold", color: "neutral.c100", numberOfLines: 1 }, cta)))))));
};
export const Base = styled(TouchableOpacity) ``;
const StyledText = styled(Text) `
  text-decoration: underline;
  text-decoration-color: ${(p) => p.theme.colors.neutral.c100};
`;
export default NotificationCard;
