import React from "react";
import { Pressable } from "react-native";
import styled, { useTheme } from "styled-components/native";
import Text from "../../Text";
import Flex from "../../Layout/Flex";
import CheckAlone from "@ledgerhq/icons-ui/nativeLegacy/CheckAloneMedium";
const Square = styled(Flex).attrs({
    justifyContent: "center",
    alignItems: "center",
}) `
  width: 18px;
  height: 18px;
  border-radius: 4px;
  color: ${({ theme }) => theme.colors.neutral.c00};
  ${({ checked, theme }) => checked
    ? `background-color: ${theme.colors.primary.c90};`
    : `border: 1px solid ${theme.colors.neutral.c50};`}
`;
const Checkbox = ({ checked, onChange, disabled, label }) => {
    const { colors, space } = useTheme();
    return (React.createElement(Pressable, { onPress: onChange, disabled: disabled },
        React.createElement(Flex, { flexDirection: "row", alignItems: "center" },
            React.createElement(Square, { checked: checked }, checked ? React.createElement(CheckAlone, { size: 13, color: colors.neutral.c00 }) : null),
            label ? (React.createElement(Text, { variant: "body", color: checked ? colors.primary.c90 : colors.neutral.c100, style: { marginLeft: space[2] } }, label)) : null)));
};
export default Checkbox;
