import { useState } from "react";
export const useAnimatedInputFocus = ({ onFocusCallback, onBlurCallback, }) => {
    const [focused, setFocused] = useState(false);
    const onFocus = (e) => {
        setFocused(true);
        onFocusCallback && onFocusCallback(e);
    };
    const onBlur = (e) => {
        setFocused(false);
        onBlurCallback && onBlurCallback(e);
    };
    return { onFocus, onBlur, focused };
};
