import React from "react";
import styled from "styled-components/native";
import Flex from "../../../Layout/Flex/index";
import Text from "../../../Text/index";
import ChevronDown from "@ledgerhq/icons-ui/native/ChevronDown";
import { TouchableOpacity } from "react-native";
const Container = styled(Flex) `
  border-left-width: 1px;
  border-left-color: ${(p) => p.color};
  width: 50%;
`;
const StyledTouchableOpacity = styled(TouchableOpacity) `
  justify-content: space-between;
  flex-direction: row;
  align-items: center;
  width: 100%;
  height: auto;
  padding: ${({ theme }) => theme.space[6]}px 0px ${({ theme }) => theme.space[6]}px
    ${({ theme }) => theme.space[6]}px;
`;
export const SelectComponent = ({ text, color, onPressSelect }) => {
    return (React.createElement(Container, { color: color },
        React.createElement(StyledTouchableOpacity, { onPress: onPressSelect },
            React.createElement(Text, { variant: "large" }, text),
            React.createElement(ChevronDown, null))));
};
