import React from "react";
import { AnimatedInput } from "..";
import { useTheme } from "styled-components/native";
import { useAnimatedInputFocus } from "../AnimatedInput/useAnimatedInputFocus";
import { getInputStatus, inputStatusColors } from "../AnimatedInput/inputTextColor";
import { SelectComponent } from "./Select";
const AnimatedInputSelect = ({ selectProps, ...textInputProps }, ref) => {
    const { placeholder, onFocus: onFocusCallback, onBlur: onBlurCallback, error, value, onChange, ...rest } = textInputProps;
    const { onPressSelect, text } = selectProps;
    const theme = useTheme();
    const { onFocus, onBlur, focused } = useAnimatedInputFocus({
        onFocusCallback,
        onBlurCallback,
    });
    const inputStatus = getInputStatus({ focused, hasError: !!error, hasValue: !!value });
    return (React.createElement(AnimatedInput, { value: value, ref: ref, onFocus: onFocus, onBlur: onBlur, renderRight: () => (React.createElement(SelectComponent, { text: text, color: inputStatusColors[inputStatus]({ theme }), onPressSelect: onPressSelect })), placeholder: placeholder, onChange: onChange, ...rest }));
};
export default React.forwardRef(AnimatedInputSelect);
