import React from "react";
import { TouchableOpacity } from "react-native";
import styled from "styled-components/native";
import Input from "../BaseInput";
import FlexBox from "../../../Layout/Flex";
import QrCodeMedium from "@ledgerhq/icons-ui/nativeLegacy/QrCodeMedium";
const QrCodeButton = styled(TouchableOpacity) `
  background-color: ${(p) => p.theme.colors.neutral.c100};
  display: flex;
  align-items: center;
  justify-content: center;
  width: 32px;
  height: 32px;
  border-radius: 40px;
  border-width: 0;
`;
const Icon = styled(QrCodeMedium).attrs((p) => ({
    color: p.theme.colors.neutral.c00,
})) ``;
function QrCodeInput({ onQrCodeClick, ...inputProps }, ref) {
    return (React.createElement(Input, { ref: ref, ...inputProps, renderRight: React.createElement(FlexBox, { alignItems: "center", justifyContent: "center", pr: "8px" },
            React.createElement(QrCodeButton, { onPress: onQrCodeClick },
                React.createElement(Icon, { size: "20px" }))) }));
}
export default React.forwardRef(QrCodeInput);
