import React, { useCallback } from "react";
import styled, { useTheme } from "styled-components/native";
import Input, { InputRenderLeftContainer } from "../BaseInput";
import Search from "@ledgerhq/icons-ui/native/Search";
import DeleteCircleFill from "@ledgerhq/icons-ui/native/DeleteCircleFill";
import Button from "../../../cta/Button";
const Icon = styled(Search).attrs((p) => ({
    color: p.theme.colors.neutral.c70,
})) ``;
const Delete = styled(DeleteCircleFill).attrs((p) => ({
    color: p.theme.colors.opacityDefault.c50,
})) ``;
function SearchInput({ onChange, value, ...props }, ref) {
    const theme = useTheme();
    const onClear = useCallback(() => {
        onChange?.("");
    }, [onChange]);
    return (React.createElement(Input, { ref: ref, onChange: onChange, value: value, hasBorder: false, inputContainerStyle: {
            backgroundColor: theme.colors.opacityDefault.c05,
            height: 40,
            paddingHorizontal: 12,
            paddingVertical: 0,
        }, baseInputContainerStyle: { height: 40 }, ...props, renderLeft: React.createElement(InputRenderLeftContainer, null,
            React.createElement(Icon, { size: "S" })), renderRight: value ? (React.createElement(Button, { Icon: React.createElement(Delete, { size: "S" }), isNewIcon: true, onPress: onClear, style: { width: "auto", marginLeft: 8 } })) : null }));
}
export default React.forwardRef(SearchInput);
