import React, { ComponentType } from "react";
import { GestureResponderEvent } from "react-native";
import { IconType } from "../Icon/type";
type BaseElementProps<V> = {
    first?: boolean;
    selected?: boolean;
    disabled?: boolean;
    value?: V;
    onPress?: ((event: GestureResponderEvent) => void) | undefined;
    Icon?: IconType;
    testID?: string;
};
export type ElementProps<V> = React.PropsWithChildren<BaseElementProps<V> & {
    /**
     * A function that will render some content on the right side of the input.
     */
    renderRight?: ComponentType<BaseElementProps<V>> | React.ReactElement;
}>;
export type Props<V> = React.PropsWithChildren<{
    currentValue?: V;
    onChange: (newValue: V) => void;
}>;
declare function SelectableList<V>({ currentValue, onChange, children }: Props<V>): React.JSX.Element;
declare namespace SelectableList {
    var Element: <V extends React.ReactNode>(props: ElementProps<V>) => React.JSX.Element;
}
export default SelectableList;
//# sourceMappingURL=SelectableList.d.ts.map