import React, { useCallback } from "react";
import styled from "styled-components/native";
import RnRangeSlider from "rn-range-slider";
import Text from "../../Text";
import { Label, MinMaxTextContainer, Notch, Rail, RailSelected, Thumb } from "./components";
const SliderContainer = styled.View `
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
`;
const Slider = ({ value, min, max, step, onChange, onTouchEnd, onTouchStart, disabled, }) => {
    const renderRail = useCallback(() => React.createElement(Rail, null), []);
    const renderRailSelected = useCallback(() => React.createElement(RailSelected, null), []);
    const renderLabel = useCallback((value) => React.createElement(Label, null, value), []);
    const renderNotch = useCallback(() => React.createElement(Notch, null), []);
    return (React.createElement(SliderContainer, null,
        React.createElement(RnRangeSlider, { style: {
                width: "100%",
            }, min: min, max: max, low: value, disabled: disabled, step: step, disableRange: true, floatingLabel: true, renderThumb: Thumb, renderRail: renderRail, renderRailSelected: renderRailSelected, renderLabel: renderLabel, renderNotch: renderNotch, onValueChanged: onChange, onTouchStart: onTouchStart, onTouchEnd: onTouchEnd }),
        React.createElement(MinMaxTextContainer, null,
            React.createElement(Text, { variant: "small", fontWeight: "medium", color: "neutral.c70" }, min),
            React.createElement(Text, { variant: "small", fontWeight: "medium", color: "neutral.c70" }, max))));
};
export default Slider;
