import React, { useCallback } from "react";
import { Pressable as BasePressable, Switch as NativeSwitch, } from "react-native";
import { useTheme } from "styled-components/native";
import Text from "../../Text";
import proxyStyled from "../../../components/styled";
const Pressable = proxyStyled(BasePressable).attrs({
    flexDirection: "row",
    alignItems: "center",
}) ``;
const Switch = ({ checked, onChange, disabled, label, testID }) => {
    const { colors, space } = useTheme();
    const handlePress = useCallback(() => {
        if (disabled)
            return;
        onChange && onChange(!checked);
    }, [checked, disabled, onChange]);
    return (React.createElement(Pressable, { onPress: handlePress },
        React.createElement(NativeSwitch, { trackColor: {
                false: colors.neutral.c50,
                true: colors.primary.c70,
            }, thumbColor: colors.constant.white, onValueChange: onChange, value: checked, disabled: disabled, ios_backgroundColor: colors.neutral.c50, testID: testID }),
        label ? (React.createElement(Text, { variant: "body", color: checked ? colors.primary.c90 : colors.neutral.c100, style: { marginLeft: space[3], flexShrink: 1 } }, label)) : null));
};
export default Switch;
