import React from "react";
import { FlexBoxProps } from "../Layout/Flex";
import { IconOrElementType } from "./type";
export declare const DEFAULT_ICON_SIZE = 16;
export declare const DEFAULT_BACKGROUND_COLOR = "neutral.c40";
export type IconBadgeProps = FlexBoxProps & {
    /**
     * Component that takes `{size?: number; color?: string}` as props.
     * Will be rendered at the top right with the size provided in `iconSize` or a default size.
     */
    Icon: IconOrElementType;
    /**
     * Icon size, will be applied to the component provided in the `Icon` prop
     */
    iconSize: number;
    /**
     * Icon color, will be applied to the component provided in the `Icon` prop
     */
    iconColor?: string;
    /**
     * Background color, will define the color of the round background part of the badge
     */
    backgroundColor?: string;
};
declare const IconBadge: ({ Icon, iconSize, backgroundColor, iconColor, ...rest }: IconBadgeProps) => React.JSX.Element;
export default IconBadge;
//# sourceMappingURL=IconBadge.d.ts.map