import React from "react";
import Flex from "../Layout/Flex";
export const DEFAULT_ICON_SIZE = 16;
export const DEFAULT_BACKGROUND_COLOR = "neutral.c40";
const BORDER_RADIUS = 999999;
const IconBadge = ({ Icon, iconSize = DEFAULT_ICON_SIZE, backgroundColor = DEFAULT_BACKGROUND_COLOR, iconColor, ...rest }) => {
    return (React.createElement(Flex, { height: iconSize * 2, width: iconSize * 2, backgroundColor: backgroundColor, borderRadius: BORDER_RADIUS, alignItems: "center", justifyContent: "center", ...rest }, React.isValidElement(Icon) ? (Icon) : (
    /* @ts-expect-error TS 5 can't seem to be able to prove this is a react comopnent here */
    React.createElement(Icon, { size: iconSize, color: iconColor }))));
};
export default IconBadge;
