import React from "react";
import styled, { useTheme } from "styled-components/native";
import Flex from "../../Layout/Flex";
const DEFAULT_BOX_SIZE = 56;
const DEFAULT_ICON_SIZE = 24;
const IconContainer = styled(Flex).attrs(({ size = DEFAULT_BOX_SIZE }) => ({
    justifyContent: "center",
    alignItems: "center",
    borderWidth: "1px",
    borderColor: "neutral.c40",
    width: `${size}px`,
    height: `${size}px`,
})) `
  border-radius: ${(p) => `${p.theme.radii[1]}px`};
`;
export default function IconBox({ Icon, color, boxSize = DEFAULT_BOX_SIZE, iconSize = DEFAULT_ICON_SIZE, iconContainerProps, }) {
    const { colors } = useTheme();
    return (React.createElement(IconContainer, { size: boxSize, ...iconContainerProps }, React.isValidElement(Icon) ? (Icon) : (
    /* @ts-expect-error TS 5 can't seem to be able to prove this is a react comopnent here */
    React.createElement(Icon, { size: iconSize, color: color || colors.neutral.c100 }))));
}
