import React, { useMemo } from "react";
import List from "../List";
import BoxedIcon from "../../../Icon/BoxedIcon";
export default function IconBoxList({ items, iconVariants, iconShapes, ...props }) {
    const iconBoxItems = useMemo(() => items.map((item) => ({
        ...item,
        bullet: (React.createElement(BoxedIcon, { variant: iconShapes, iconColor: iconVariants === "plain" ? "primary.c70" : undefined, backgroundColor: iconVariants === "plain" ? "primary.c10" : undefined, borderColor: iconVariants === "plain" ? "transparent" : undefined, Icon: item.Icon, iconSize: 20 })),
    })), [items]);
    return React.createElement(List, { items: iconBoxItems, ...props });
}
