import React, { useCallback } from "react";
import Text from "../../../Text";
import { Box, Flex } from "../../index";
import { FlatList } from "react-native";
export const ListItem = ({ title, description, bullet = null, ...props }) => {
    return (React.createElement(Flex, { flexDirection: "row", alignItems: "center", ...props },
        bullet && (React.createElement(Box, { mr: 7, flexShrink: 0 }, bullet)),
        React.createElement(Flex, { flexDirection: "column", flexShrink: 1, flexWrap: "nowrap" },
            title && (React.createElement(Text, { variant: "body", fontWeight: "semiBold", color: "neutral.c100", flexShrink: 1, mb: description ? 2 : null }, title)),
            description && (React.createElement(Text, { variant: "body", fontWeight: "medium", color: "neutral.c80", flexShrink: 1 }, description)))));
};
export default function List({ items, itemContainerProps, ...props }) {
    const renderItem = useCallback(({ item }) => (React.createElement(ListItem, { ...item, mb: 6, pb: 2, ...itemContainerProps })), [itemContainerProps]);
    return (React.createElement(Flex, { flexDirection: "column", ...props },
        React.createElement(FlatList, { data: items, renderItem: renderItem })));
}
