import React, { useMemo } from "react";
import List from "../List";
import { IconBox } from "../../../Icon";
import Text from "../../../Text";
export default function NumberedList({ items, ...props }) {
    const numberedItems = useMemo(() => items.map((item, index) => ({
        ...item,
        bullet: (React.createElement(IconBox, { Icon: React.createElement(Text, { variant: "body", fontWeight: "medium", color: "neutral.c100" }, item.number ?? index + 1), boxSize: 36 })),
    })), [items]);
    return React.createElement(List, { items: numberedItems, ...props });
}
