import React, { useMemo } from "react";
import List from "../List";
import Check from "@ledgerhq/icons-ui/nativeLegacy/CheckAloneMedium";
import Close from "@ledgerhq/icons-ui/nativeLegacy/CloseMedium";
export default function TipList({ items, ...props }) {
    const tipItems = useMemo(() => items.map((item) => ({
        ...item,
        bullet: item.isPositive ? (React.createElement(Check, { size: 20, color: "success.c50" })) : (React.createElement(Close, { size: 20, color: "error.c50" })),
    })), [items]);
    return React.createElement(List, { items: tipItems, ...props });
}
