import React from "react";
import StepperItem from "./StepperItem";
import { Flex } from "../..";
export default React.memo(function VerticalStepper({ steps, onTapIndex, nested, ...props }) {
    return (React.createElement(Flex, { ...props, flexDirection: "column" },
        nested && React.createElement(Flex, { mt: 7, mb: 4, borderBottomWidth: 1, borderBottomColor: "neutral.c40" }),
        steps?.map((step, index) => (React.createElement(StepperItem, { key: step.title, item: step, progress: step.progress, nested: nested, isLastItem: index === steps.length - 1, onTapIndex: onTapIndex, index: index })))));
});
