import React from "react";
import { StyleProp, ViewStyle } from "react-native";
import { BaseTextProps } from "../../../Text";
import { BaseStyledProps } from "src/components/styled";
import { Item } from "../types";
export type Props = BaseStyledProps & {
    steps?: Item[];
    formatEstimatedTime?: (_: number) => string;
    setActiveIndex?: (arg0: number) => void;
    header?: React.ReactNode;
    /**
     * Should the scroll view automatically scroll to the active step.
     * Defaults to true.
     * */
    autoScroll?: boolean;
    contentContainerStyle?: StyleProp<ViewStyle>;
};
declare function VerticalTimeline({ steps, formatEstimatedTime, setActiveIndex, header, autoScroll, contentContainerStyle, ...props }: Props): React.JSX.Element;
declare namespace VerticalTimeline {
    var BodyText: React.FC<BaseTextProps>;
    var SubtitleText: React.FC<BaseTextProps>;
    var ItemStatus: typeof import("../types").ItemStatus;
}
export default VerticalTimeline;
//# sourceMappingURL=index.d.ts.map