import React, { ReactNode } from "react";
import { ModalProps } from "react-native-modal";
import { StyleProp, ViewStyle } from "react-native";
import { IconOrElementType } from "../../../Icon/type";
export type BaseModalProps = {
    isOpen?: boolean;
    onClose?: () => void;
    onBack?: () => void;
    modalStyle?: StyleProp<ViewStyle>;
    safeContainerStyle?: StyleProp<ViewStyle>;
    containerStyle?: StyleProp<ViewStyle>;
    preventBackdropClick?: boolean;
    Icon?: IconOrElementType;
    iconColor?: string;
    title?: React.ReactNode;
    description?: React.ReactNode;
    subtitle?: string;
    children?: React.ReactNode;
    noCloseButton?: boolean;
    hasBackButton?: boolean;
    CustomHeader?: React.ComponentType<{
        children?: ReactNode;
    }>;
} & Partial<ModalProps>;
export declare function ModalHeader({ Icon, iconColor, title, description, subtitle, }: Pick<BaseModalProps, "Icon" | "iconColor" | "title" | "description" | "subtitle">): React.ReactElement | null;
export declare function ModalHeaderCloseButton({ onClose, }: Pick<BaseModalProps, "onClose">): React.ReactElement;
export declare function ModalHeaderBackButton({ onBack, }: Pick<BaseModalProps, "onBack">): React.ReactElement;
export default function BaseModal({ isOpen, onClose, onBack, noCloseButton, hasBackButton, safeContainerStyle, containerStyle, modalStyle, preventBackdropClick, Icon, iconColor, title, description, subtitle, children, onModalHide, CustomHeader, ...rest }: BaseModalProps): React.ReactElement;
//# sourceMappingURL=index.d.ts.map