import React from "react";
import { StyleSheet } from "react-native";
import styled from "styled-components/native";
import BaseModal from "../BaseModal";
import Text from "../../../Text";
import Button from "../../../cta/Button";
const FooterButtonsContainer = styled.View `
  display: flex;
  align-items: flex-end;
  flex-direction: row;
  margin-top: auto;
  padding-top: 32px;
`;
const modalStyleOverrides = StyleSheet.create({
    container: {
        borderRadius: 4,
    },
});
export default function Popin({ children, leftButtonText = "Cancel", rightButtonText = "Delete", onLeftButtonPress, onRightButtonPress, ...restProps }) {
    return (React.createElement(BaseModal, { ...restProps, containerStyle: modalStyleOverrides.container },
        children,
        React.createElement(FooterButtonsContainer, null,
            React.createElement(Button, { onPress: onLeftButtonPress, outline: true, type: "shade", style: { flex: 1, marginRight: 8 } },
                React.createElement(Text, null, leftButtonText)),
            React.createElement(Button, { onPress: onRightButtonPress, style: { flex: 1 } },
                React.createElement(Text, null, rightButtonText)))));
}
