import React, { useCallback, useState } from "react";
import { TouchableOpacity } from "react-native";
import BottomDrawer from "../BottomDrawer";
export default function Tooltip({ children, tooltipContent, ...restProps }) {
    const [isOpen, setIsOpen] = useState(false);
    const openModal = useCallback(() => {
        setIsOpen(true);
    }, []);
    return (React.createElement(React.Fragment, null,
        React.createElement(TouchableOpacity, { onPress: openModal }, children),
        React.createElement(BottomDrawer, { ...restProps, isOpen: isOpen, onClose: () => {
                setIsOpen(false);
            } }, tooltipContent)));
}
