import React from "react";
import { FlatListProps, ScrollViewProps } from "react-native";
import type { HeaderProps } from "./Header";
import { BaseStyledProps } from "../../styled";
type ScrollContainerHeaderProps<ItemType> = BaseStyledProps & Omit<HeaderProps, "currentPositionY"> & Omit<FlatListProps<ItemType>, "onScroll" | "data" | "renderItem"> & {
    children?: React.ReactNode;
    onScroll?: (y: number) => void;
    containerProps?: BaseStyledProps;
} & Pick<ScrollViewProps, "stickyHeaderIndices">;
declare const ScrollContainerHeader: {
    <ItemType>({ TopLeftSection, TopRightSection, TopMiddleSection, MiddleSection, BottomSection, children, onScroll, containerProps, ...props }: ScrollContainerHeaderProps<ItemType>): JSX.Element;
    Header: {
        ({ TopLeftSection, TopRightSection, TopMiddleSection, MiddleSection, BottomSection, currentPositionY, }: HeaderProps): JSX.Element;
        PADDING_HORIZONTAL: number;
    };
};
export default ScrollContainerHeader;
//# sourceMappingURL=index.d.ts.map