import React, { forwardRef } from "react";
import { View, } from "react-native";
import Animated from "react-native-reanimated";
import baseStyled from "../../styled";
const StyledFlatList = baseStyled.FlatList ``;
const AnimatedFlatList = Animated.createAnimatedComponent(StyledFlatList);
/*
 ** This Layout is a wrapper for FlatList that accepts
 ** complex onScroll callback for react-native-reanimated.
 */
const ScrollListContainer = forwardRef(({ children, onScroll, horizontal = false, ...props }, ref) => {
    return (React.createElement(AnimatedFlatList, { ref: ref, data: [...React.Children.toArray(children)], renderItem: ({ item }) => React.createElement(View, null, item), onScroll: onScroll, horizontal: horizontal, ...props }));
});
export default ScrollListContainer;
