import React from "react";
import FlexBox from "../Flex";
import IconBox from "../../Icon/IconBox";
const ICON_SIZE = 32;
const BOX_SIZE = 40;
const SMALL_ICON_SIZE = 14;
export default function Row({ Icon, iconBorder = true, topLeft, bottomLeft, topRight, bottomRight, ...props }) {
    return (React.createElement(FlexBox, { ...props, flexDirection: "row", justifyContent: "space-between", p: 6 },
        React.createElement(FlexBox, { flexDirection: "row", flexShrink: 1, alignItems: "center" },
            Icon &&
                (iconBorder ? (React.createElement(IconBox, { Icon: Icon, iconSize: SMALL_ICON_SIZE, boxSize: BOX_SIZE })) : (React.createElement(Icon, { size: ICON_SIZE }))),
            React.createElement(FlexBox, { pl: 4, flexDirection: "column", justifyContent: "space-evenly", alignItems: "flex-start" },
                topLeft,
                bottomLeft)),
        React.createElement(FlexBox, { flexDirection: "column", justifyContent: "space-evenly", alignItems: "flex-end" },
            topRight,
            bottomRight)));
}
