import React from "react";
import styled from "styled-components/native";
import Flex from "../Layout/Flex";
import Animated, { useDerivedValue, useAnimatedStyle, withTiming } from "react-native-reanimated";
import Box from "../Layout/Box";
const ActiveBar = styled(Box) `
  position: absolute;
  height: 100%;
  top: 0;
  left: 0;
`;
const AnimatedBar = Animated.createAnimatedComponent(ActiveBar);
function ProgressBar({ index, length, activeBarProps, ...props }) {
    const width = useDerivedValue(() => Math.round((index / (length - 1)) * 100), [index, length]);
    const animatedStyles = useAnimatedStyle(() => ({
        width: withTiming(`${width.value}%`),
    }));
    return (React.createElement(Flex, { height: 4, width: "100%", backgroundColor: "neutral.c20", position: "relative", ...props },
        React.createElement(AnimatedBar, { style: [animatedStyles], bg: "neutral.c100", ...activeBarProps })));
}
export default React.memo(ProgressBar);
