/// <reference types="styled-components-react-native" />
import React from "react";
export type BaseTabsProps = {
    activeBg?: string;
    activeColor?: string;
    activeIndex?: number;
    gap?: string | number;
    disabled?: boolean;
    inactiveBg?: string;
    inactiveColor?: string;
    labels: string[];
    onChange: (newIndex: number) => void;
    size?: "small" | "medium";
    stretchItems?: boolean;
};
export type TabItemProps = Partial<BaseTabsProps> & {
    label: string;
    isActive: boolean;
    index: number;
    onPress: () => void;
    activeColor?: string;
    activeBg?: string;
    disabled?: boolean;
};
export type TabsProps = BaseTabsProps & {
    Item: (props: TabItemProps) => React.ReactElement;
};
export declare const TabsContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, import("styled-system").SpaceProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, string | number | symbol> & import("styled-system").FlexboxProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> & import("styled-system").PositionProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> & import("styled-system").ColorProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, string | number | symbol> & import("styled-system").LayoutProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> & import("styled-system").OverflowProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>> & import("styled-system").BorderProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Border<import("styled-system").TLengthStyledSystem>> & import("styled-system").BackgroundProps<Required<import("styled-system").Theme<import("styled-system").TLengthStyledSystem>>, import("csstype").Property.Background<import("styled-system").TLengthStyledSystem>> & {
    columnGap?: string | number | undefined;
    rowGap?: string | number | undefined;
    color?: string | undefined;
    display?: string | undefined;
    position?: string | undefined;
    maxHeight?: string | number | undefined;
} & {
    stretchItems: boolean;
}, never>;
declare const TemplateTabsGroup: ({ gap, size, stretchItems, ...props }: TabsProps) => React.ReactElement;
export default TemplateTabsGroup;
//# sourceMappingURL=index.d.ts.map