import React from "react";
import styled from "styled-components/native";
import FlexBox from "../../Layout/Flex";
export const TabsContainer = styled(FlexBox) `
  // Avoid conflict with styled-system's size property by nulling size and renaming it
  size: undefined;
  flex-direction: row;
  width: 100%;
  align-items: stretch;
  ${(p) => (p.stretchItems ? "" : "justify-content: center;")}
`;
const TemplateTabsGroup = ({ gap, size, stretchItems = false, ...props }) => {
    const { labels, activeIndex, onChange, Item } = props;
    return (React.createElement(TabsContainer, { columnGap: gap, stretchItems: stretchItems, ...props }, labels.map((label, index) => (React.createElement(Item, { key: index, ...props, index: index, isActive: index === activeIndex, label: label, size: size, stretchItems: stretchItems, onPress: () => onChange(index) })))));
};
export default TemplateTabsGroup;
