import React from "react";
import { TextProps, TextStyle } from "react-native";
import { FontSizeProps, TextAlignProps, LineHeightProps } from "styled-system";
import { BaseStyledProps } from "../styled";
import { FontWeightTypes } from "./getTextStyle";
import { TextVariants } from "../../styles/theme";
export interface BaseTextProps extends TextProps, BaseStyledProps, FontSizeProps, TextAlignProps, LineHeightProps {
    variant?: TextVariants;
    fontWeight?: FontWeightTypes;
    fontFamily?: string;
    fontSize?: number | string | TextVariants;
    color?: string;
    lineHeight?: string;
    bracket?: boolean;
    textTransform?: TextStyle["textTransform"];
    testID?: string;
    uppercase?: boolean;
    children?: React.ReactNode;
}
declare const Text: ({ children, bracket, textAlign, testID, ...props }: BaseTextProps) => React.JSX.Element;
export default Text;
//# sourceMappingURL=index.d.ts.map