/// <reference types="styled-components-react-native" />
import React from "react";
import { TouchableOpacityProps, View } from "react-native";
import { BaseStyledProps } from "../../styled";
import { IconType } from "../../Icon/type";
export type ButtonProps = TouchableOpacityProps & BaseStyledProps & {
    onPressWhenDisabled?: TouchableOpacityProps["onPress"];
    iconName?: string;
    type?: "main" | "shade" | "error" | "color" | "accent" | "default";
    size?: "small" | "medium" | "large";
    iconPosition?: "right" | "left";
    outline?: boolean;
    disabled?: boolean;
    pressed?: boolean;
    children?: React.ReactNode;
    pending?: boolean;
    displayContentWhenPending?: boolean;
    buttonTestId?: string;
    isNewIcon?: boolean;
    Icon?: IconType | JSX.Element;
};
export declare const Base: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<TouchableOpacityProps & React.RefAttributes<View>>, import("styled-components").DefaultTheme, {
    iconButton?: boolean | undefined;
    sizeVariant?: ButtonProps["size"];
} & Omit<ButtonProps, "size">, never>;
declare const Button: (props: ButtonProps) => React.ReactElement;
export declare const PromisableButton: (props: ButtonProps) => React.ReactElement;
export default Button;
//# sourceMappingURL=index.d.ts.map