import React, { useCallback } from "react";
import { FlatList } from "react-native";
import QuickActionButton from "../QuickActionButton";
const QuickActionList = ({ numColumns = 3, data, id, testID, isActive = false, ...otherProps }) => {
    const renderItem = useCallback(({ item, index }) => {
        return (React.createElement(QuickActionButton, { ...item, isActive: isActive, flex: 1, mr: (index + 1) % numColumns > 0 && data && index !== data.length - 1 ? 4 : 0, mb: data?.length && index + numColumns < data.length ? 4 : 0, testID: testID }));
    }, []);
    return (React.createElement(FlatList, { ...otherProps, data: data, keyExtractor: (_item, index) => `${id}${index}`, horizontal: false, renderItem: renderItem, numColumns: numColumns }));
};
export default QuickActionList;
