/// <reference types="styled-components-react-native" />
import React from "react";
type AlertType = "info" | "secondary" | "success" | "warning" | "error";
export type IconProps = {
    size?: number;
    color?: string;
};
export type IconType = React.ComponentType<IconProps>;
export interface AlertProps {
    type?: AlertType;
    /**
     * Optional component to replace the default Icon for the given `type` prop.
     * It will receive a `color: string` and a `size: number` as props.
     * */
    Icon?: IconType;
    title?: React.ReactNode;
    showIcon?: boolean;
    children?: React.ReactNode;
}
declare function Alert({ type, Icon, title, showIcon, children }: AlertProps): JSX.Element;
declare namespace Alert {
    var BodyText: import("styled-components").StyledComponent<({ children, bracket, textAlign, testID, ...props }: import("../../Text").BaseTextProps) => React.JSX.Element, import("styled-components").DefaultTheme, {
        flexShrink: 1;
        variant: "bodyLineHeight";
        fontWeight: "semiBold";
    }, "fontWeight" | "flexShrink" | "variant">;
    var UnderlinedText: import("styled-components").StyledComponent<({ children, bracket, textAlign, testID, ...props }: import("../../Text").BaseTextProps) => React.JSX.Element, import("styled-components").DefaultTheme, {
        flexShrink: 1;
        variant: "bodyLineHeight";
        fontWeight: "semiBold";
    }, "fontWeight" | "flexShrink" | "variant">;
}
export default Alert;
//# sourceMappingURL=index.d.ts.map