import React from "react";
import styled, { useTheme } from "styled-components/native";
import { Svg, Path } from "react-native-svg";
import FlexBox from "../../Layout/Flex";
import { getColor } from "../../../styles";
import { I18nManager } from "react-native";
const BracketContainer = styled(FlexBox).attrs({
    flexDirection: "column",
    position: "relative",
    justifyContent: "space-between",
}) ``;
export const Bracket = ({ color, style, mb, mt }) => {
    const theme = useTheme();
    const fill = getColor(theme, color);
    return (React.createElement(BracketContainer, { style: style, mb: mb, mt: mt },
        React.createElement(Svg, { width: "17", height: "10", viewBox: "0 0 17 10" },
            React.createElement(Path, { d: "M16.8125 0H2.8125H0.8125V2V10H2.8125V2H16.8125V0Z", fill: fill }))));
};
const RTLBracketManager = ({ children }) => {
    return (React.createElement(FlexBox, { style: { transform: I18nManager.isRTL ? [{ scaleX: -1 }] : undefined } }, children));
};
export const BracketTopLeft = ({ color }) => {
    return (React.createElement(RTLBracketManager, null,
        React.createElement(Bracket, { color: color })));
};
export const BracketTopRight = ({ color }) => {
    return (React.createElement(RTLBracketManager, null,
        React.createElement(Bracket, { color: color, style: { transform: [{ scaleX: -1 }] } })));
};
export const BracketBottomLeft = ({ color }) => {
    return (React.createElement(RTLBracketManager, null,
        React.createElement(Bracket, { color: color, style: { transform: [{ scaleY: -1 }] } })));
};
export const BracketBottomRight = ({ color }) => {
    return (React.createElement(RTLBracketManager, null,
        React.createElement(Bracket, { color: color, style: { transform: [{ scale: -1 }] } })));
};
