import React, { memo } from "react";
import Text from "../../Text";
import Flex from "../../Layout/Flex";
import { BracketTopLeft, BracketTopRight, BracketBottomLeft, BracketBottomRight } from "./Brackets";
import { Platform } from "react-native";
function Log({ children, extraTextProps }) {
    return (React.createElement(Flex, { flexDirection: "column" },
        React.createElement(Flex, { flexDirection: "row", justifyContent: "space-between", mb: Platform.OS === "android" ? "-2px" : "-6px" },
            React.createElement(BracketTopLeft, { color: "neutral.c100" }),
            React.createElement(BracketTopRight, { color: "neutral.c100" })),
        React.createElement(Text, { variant: "h2", lineHeight: "28px", textTransform: "uppercase", textAlign: "center", color: "neutral.c100", px: "15.5px", style: { overflow: "visible" }, ...extraTextProps }, children),
        React.createElement(Flex, { mt: Platform.OS === "android" ? "-9.5px" : "-5px", flexDirection: "row", justifyContent: "space-between" },
            React.createElement(BracketBottomLeft, { color: "neutral.c100" }),
            React.createElement(BracketBottomRight, { color: "neutral.c100" }))));
}
export default memo(Log);
