import styled from "styled-components/native";
import { compose, flexbox, space, position, color, layout, overflow, border, background, } from "styled-system";
export const baseStyles = compose(flexbox, space, position, color, layout, overflow, border, background);
const proxyStyled = new Proxy(styled, {
    apply(target, thisArg, argumentsList) {
        return styled(target.apply(thisArg, argumentsList)(baseStyles));
    },
    get(target, property) {
        if (typeof target[property] === "function") {
            return styled(target[property].apply(styled, [baseStyles]));
        }
        return target[property];
    },
});
export default proxyStyled;
