import React from "react";
import Flex from "../../Layout/Flex";
import Text from "../../Text";
import { Box } from "../../Layout";
const typeColor = {
    color: "primary.c80",
    shade: "neutral.c30",
    warning: "warning.c50",
};
export default function Tag({ type = "shade", size = "small", color, textColor, uppercase, Icon, children, numberOfLines, ellipsizeMode, ...props }) {
    return (React.createElement(Flex, { px: size === "small" ? "6px" : 3, alignItems: "center", justifyContent: "center", flexDirection: "row", borderRadius: 6, bg: color || typeColor[type], height: size === "small" ? "18px" : "28px", ...props },
        Icon && (React.createElement(Box, { pr: 2 },
            React.createElement(Icon, { size: size === "small" ? 16 : 20, color: type === "shade" ? "neutral.c90" : "neutral.c00" }))),
        React.createElement(Text, { variant: size === "small" ? "subtitle" : "small", fontWeight: "bold", uppercase: uppercase !== false, textAlign: "center", color: textColor || (type === "shade" ? "neutral.c90" : "neutral.c00"), numberOfLines: numberOfLines, ellipsizeMode: ellipsizeMode }, children)));
}
