import React, { useMemo } from "react";
import { ThemeProvider, useTheme } from "styled-components/native";
import { defaultTheme } from ".";
import { palettes } from "@ledgerhq/ui-shared";
export const InvertTheme = ({ children }) => {
    const { theme } = useTheme();
    const revertTheme = theme === "light" ? "dark" : "light";
    const newTheme = useMemo(() => ({
        ...defaultTheme,
        colors: { ...defaultTheme.colors, palette: palettes[revertTheme] },
        theme: revertTheme,
    }), [revertTheme]);
    return React.createElement(ThemeProvider, { theme: newTheme }, children);
};
