import React, { useMemo } from "react";
import { ThemeProvider } from "styled-components/native";
import defaultTheme from "./theme";
import { palettes } from "@ledgerhq/ui-shared";
export const StyleProvider = ({ children, selectedPalette }) => {
    const theme = useMemo(() => ({
        ...defaultTheme,
        colors: {
            ...defaultTheme.colors,
            ...palettes[selectedPalette],
            palette: palettes[selectedPalette],
        },
        theme: selectedPalette,
    }), [selectedPalette]);
    return React.createElement(ThemeProvider, { theme: theme }, children);
};
