import Color from "color";
export const rgba = (c, a) => Color(c).alpha(a).rgb().toString();
export const hex = (color) => Color(color).hex().toString();
export const darken = (c, a) => Color(c).darken(a).toString();
export const lighten = (c, a) => Color(c).lighten(a).toString();
export const mix = (c, b, a) => Color(c).mix(Color(b), a).toString();
const get = (object, path) => {
    const p = typeof path === "string" ? path.split(".").filter((key) => key.length) : path;
    return p.reduce((dive, key) => dive && dive[key], object);
};
export const getColor = (p, color) => {
    const c = get(p.colors, color);
    return c;
};
export const ensureContrast = (color1, color2) => {
    const colorL1 = Color(color1).luminosity() + 0.05;
    const colorL2 = Color(color2).luminosity() + 0.05;
    const lRatio = colorL1 > colorL2 ? colorL1 / colorL2 : colorL2 / colorL1;
    if (lRatio < 1.5) {
        return Color(color1).rotate(180).negate().string();
    }
    return color1;
};
