import { ColorPalette } from "@ledgerhq/ui-shared";
export declare const space: number[];
export declare const textVariants: readonly ["h1", "h1Inter", "h2", "h3", "h3Inter", "h4", "h5", "large", "largeLineHeight", "body", "bodyLineHeight", "paragraph", "paragraphLineHeight", "small", "subtitle", "tiny", "tinyAlpha"];
export type TextVariants = (typeof textVariants)[number];
export type ThemeScale<Type, Aliases extends string> = Array<Type> & Record<Aliases, Type>;
export declare const fontSizes: ThemeScale<number, "h1" | "h1Inter" | "h2" | "h3" | "h3Inter" | "h4" | "h5" | "large" | "largeLineHeight" | "body" | "bodyLineHeight" | "paragraph" | "paragraphLineHeight" | "small" | "subtitle" | "tiny" | "tinyAlpha">;
export declare const radii: number[];
export declare const zIndexes: number[];
export type Theme = {
    theme: "light" | "dark";
    sizes: {
        topBarHeight: number;
        sideBarWidth: number;
    };
    radii: number[];
    fontSizes: number[];
    space: number[];
    colors: ColorPalette & {
        /**
         * @deprecated Do not use the .palette prefix anymore!
         */
        palette: ColorPalette;
    };
    zIndexes: number[];
};
declare const theme: Theme;
export default theme;
//# sourceMappingURL=theme.d.ts.map